<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <link rel="stylesheet" href="style.css">
  <script src="/refresh_messages.js"></script>  
</head>
<body>

  <div class="top-bar" id="logout-form">
    <form action="/logout" method="post">
      Bienvenue {{name}}
      <input type="submit" value="Se déconnecter">
    </form>
  </div>

  <div class="main-content">

    <h1> Liste des messages </h1>

    {{#info}}
      <p class="{{info.type}}"> {{info.text}} </p>
    {{/info}}

    <div id="messages">
      {{#messages}}
        <p class="message"> <strong>{{author}}</strong> : {{text}} </p>
      {{/messages}}
    </div>

    <div id="new-message-form">
      <h2> Ajouter un message </h2>
      <form action="/add_message" method="post">
        <input type="text" name="text" placeholder="Texte" autofocus>
        <input type="submit" value="Ajouter">
      </form>
    </div>

  </div>

</body>
</html>
